> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Material Finishes



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/material-finishes
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/items/{id}/material-finishes:
    get:
      tags:
        - Project Items
      summary: Find Material Finishes
      operationId: ProjectItemsController_findMaterialFinishes_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
            maxLength: 255
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectMaterialFinishesResponseDto'
components:
  schemas:
    ProjectMaterialFinishesResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/MaterialFinishResponseDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - items
        - nextCursor
        - hasMore
    MaterialFinishResponseDto:
      type: object
      properties:
        id:
          type: string
        familyId:
          type: string
        name:
          type: string
        sku:
          type: string
          nullable: true
        imageId:
          type: string
          nullable: true
        primaryImageUrl:
          type: string
          nullable: true
        isPrimary:
          type: boolean
        isBaseMaterial:
          type: boolean
        columnsAttributes:
          type: object
          additionalProperties: true
        version:
          type: number
        productsCount:
          type: number
        primarySource:
          type: object
          properties:
            id:
              type: string
            version:
              type: number
            columnsAttributes:
              type: object
              additionalProperties: true
          required:
            - id
            - version
            - columnsAttributes
        coreChangePolicy:
          type: object
      required:
        - id
        - familyId
        - name
        - sku
        - imageId
        - primaryImageUrl
        - isPrimary
        - isBaseMaterial
        - columnsAttributes
        - version
        - productsCount
        - primarySource
        - coreChangePolicy

````